Skip to main content
POST
/
preview
/
retail-media
/
reports
/
sync
/
real-time-performance
/preview/retail-media/reports/sync/real-time-performance
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/reports/sync/real-time-performance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": [
      [
        {}
      ]
    ],
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "meta": {
    "columns": [
      {
        "name": "<string>",
        "currency": "<string>",
        "deprecated": true,
        "description": "<string>",
        "duration": "<string>",
        "timezone": "<string>",
        "title": "<string>"
      }
    ],
    "dataCompleteThrough": {
      "dateTime": "<string>",
      "timezone": "<string>"
    },
    "rows": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value

data
object

A top-level object that encapsulates a Criteo API response for a single value

Response

200 - application/json

Success

Report response format

data
object

A top-level object that encapsulates a Criteo API response for a single value

errors
object[] | null
read-only
meta
object

Metadata for a report response: data freshness, column descriptions, and row count.

warnings
object[] | null
read-only